Package com.ads.services.webservice

# Class DocumentsService

java.lang.Object
com.ads.services.webservice.DocumentsService

public class DocumentsService extends Object
Web Services are based on the SOAP protocol.The response can be either JSON or XML.
All the WebServices methods have return type String - meaning if the method is execution is successful, then it will return a string in the form of JSON or XML String based on the outputFormat parameter given by the user.
Contains the methods related to perform the operations such as creation, update, deletion and retrieval of Documents.
These Methods are applicable only for SM_ENVIRONMENT , SM_TABLE, SM_COLUMN, REQM_SPECIFICATION, BGM_TERM nodes types.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DocumentsService()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `addDocument(String userName, String password, String outputFormat, String nodeType, int nodeId, String documentObjJson)`
  Document is added at the nodeId of the given nodeType with the documentObjJson details.
  `String`
  `addDocuments(String userName, String password, String outputFormat, String nodeType, int nodeId, String documentsObjJsonArray)`
  Documents are added at the nodeId of the given nodeType with the documentsObjJsonArray details.
  `String`
  `deleteDocument(String userName, String passWord, String outputFormat, int documentId)`
  Deletes the Document with the specified documentId.
  `String`
  `deleteDocumentByName(String userName, String passWord, String outputFormat, String nodeType, int nodeId, String documentName)`
  Deletes the document with the given documentName of the specified nodeId of nodeType.
  `String`
  `deleteDocuments(String userName, String passWord, String outputFormat, String nodeType, int nodeId)`
  Deletes the documents of the specified nodeId of nodeType.
  `String`
  `deleteDocumentsByDocIds(String userName, String passWord, String outputFormat, String documentIdsArray)`
  Documents are deleted for the specified List of DocumentIds.
  `String`
  `getDocument(String userName, String passWord, String outputFormat, int documentId)`
  Returns the Document Details with the specified documentId.
  `String`
  `getDocumentByName(String userName, String passWord, String outputFormat, String nodeType, int nodeId, String documentName)`
  Returns the document Details with the given documentName of the specified nodeId of nodeType.The filePath in the returned document object is RELATIVE.
  `String`
  `getDocuments(String userName, String passWord, String outputFormat, String nodeType, int nodeId)`
  Returns the documents of the specified nodeId of nodeType.
  `String`
  `getDocumentsByDocIds(String userName, String passWord, String outputFormat, String documentIdsArray)`
  Returns the Documents of the specified List of DocumentIds.The filePath in the returned document object is RELATIVE.
  `String`
  `updateDocumentByJSON(String userName, String password, String outputFormat, String documentObjJson)`
  Updates Document with the specified document Object.
  `String`
  `updateDocumentByNodeType(String userName, String password, String outputFormat, String nodeType, int nodeId, String documentName, String documentObjJson)`
  Document File with the given documentName will be updated with the filePath and filePathType specified, of the specified nodeId of nodeType.
  `String`
  `updateDocumentFile(String userName, String password, String outputFormat, String nodeType, int nodeId, String documentName, String filePath)`
  Deprecated.
  `String`
  `updateDocumentFileByType(String userName, String password, String outputFormat, String nodeType, int nodeId, String documentName, String filePath, String filePathType)`
  File of the document is updated with the given documentName and with the filePath and filePathType specified, of the specified nodeId of nodeType
  Specifying the filePath, filePathType, documentName, nodeId and nodeType are mandatory.
  `String`
  `updateDocuments(String userName, String password, String outputFormat, String documentObjsJsonArray)`
  Documents are updated with the specified Document Objects.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DocumentsService

    public DocumentsService()

- ## Method Details

  - ### addDocument

    public String addDocument(String userName, String password, String outputFormat, String nodeType, int nodeId, String documentObjJson)
    Document is added at the nodeId of the given nodeType with the documentObjJson details. Specifying the nodeId and nodeType, documentName, documentObject or documentLink and filePathType are mandatory. The supported values for the filePathType are ABSOLUTE, RELATIVE.
    NodeType can be either SM_SYSTEM, SM_ENVIRONMENT, SM_TABLE, SM_COLUMN, MM_PROJECT, MM_MAPPING, REQM_SPECIFICATION and all BGM Objects. Depending upon the nodeType, nodeId will be either systemId, environmentId, tableId, columnId, projectId, mappingId, specificationId, businesObjectId.
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
      `nodeType` - String
      `nodeId` - int
      `documentObjJson` - String
    Returns:
      String - If Document is added successfully, it will return RequestStatus Object consisting of Request success flag, status message and userObject etc... in the form of JSON or XML String.

      Sample 'documentObjJson' JSON :
      {
      "documentName": "",
      "documentIntendedPurpose": "",
      "documentReferenceNumber": "",
      "documentType": "",
      "documentApprovedBy": "",
      "documentObject": "",
      "filePathType" : "ABSOLUTE",
      "approvalRequired": true,
      "documentOwner": "",
      "documentLink": "",
      "documentReference": "",
      "documentStatus": "",
      "documentApprovedDate": 1460701213000
      }

    Since:
      8.2

  - ### addDocuments

    public String addDocuments(String userName, String password, String outputFormat, String nodeType, int nodeId, String documentsObjJsonArray)
    Documents are added at the nodeId of the given nodeType with the documentsObjJsonArray details. Specifying the nodeId and nodeType, documentName, documentObject or documentLink and filePathType are mandatory. The supported values for the filePathType are ABSOLUTE, RELATIVE.
    NodeType can be either SM_SYSTEM, SM_ENVIRONMENT, SM_TABLE, SM_COLUMN, MM_PROJECT, MM_MAPPING, REQM_SPECIFICATION and all BGM Objects. Depending upon the nodeType, nodeId will be either systemId, environmentId, tableId, columnId, projectId, mappingId, specificationId, businesObjectId.
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
      `nodeType` - String
      `nodeId` - int
      `documentsObjJsonArray` - String
    Returns:
      String - If Document is added successfully, it will return RequestStatus Object consisting of Request success flag, status message and userObject etc... in the form of JSON or XML String.

      Sample 'documentsObjJsonArray' JSON :
      [
      {
      "documentName": "",
      "documentIntendedPurpose": "",
      "documentReferenceNumber": "",
      "documentType": "",
      "documentApprovedBy": "",
      "documentObject": "",
      "filePathType" : "ABSOLUTE",
      "approvalRequired": true,
      "documentOwner": "",
      "documentLink": "",
      "documentReference": "",
      "documentStatus": "",
      "documentApprovedDate": 1460701213000
      },
      {
      "documentName": "",
      "documentIntendedPurpose": "",
      "documentReferenceNumber": "",
      "documentType": "",
      "documentApprovedBy": "",
      "documentObject": "",
      "filePathType" : "ABSOLUTE",
      "approvalRequired": true,
      "documentOwner": "",
      "documentLink": "",
      "documentReference": "",
      "documentStatus": "",
      "documentApprovedDate": 1460701213000
      }
      ]

    Since:
      8.2

  - ### updateDocumentByJSON

    public String updateDocumentByJSON(String userName, String password, String outputFormat, String documentObjJson)
    Updates Document with the specified document Object. Specifying the documentId, documentObject or documentLink and filePathType are mandatory. The supported values for the filePathType are ABSOLUTE, RELATIVE.
    This method will update the document object for only SM_ENVIRONMENT, SM_TABLE, SM_COLUMN, BGM_TERM, REQM_SPECIFICATION objects.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
      `documentObjJson` -
    Returns:
      String - If Document is updated successfully, it will return RequestStatus Object consisting of Request success flag, status message and userObject etc... in the form of JSON or XML String.

      Sample 'documentObjJson' JSON :
      {
      "documentId": 0,
      "documentName": "",
      "documentIntendedPurpose": "",
      "documentReferenceNumber": "",
      "documentType": "",
      "documentApprovedBy": "",
      "documentObject": "",
      "filePathType" : "ABSOLUTE",
      "approvalRequired": true,
      "documentOwner": "",
      "documentLink": "",
      "documentReference": "",
      "documentStatus": "",
      "documentApprovedDate": 1460701213000
      }

    Since:
      8.2

  - ### updateDocumentByNodeType

    public String updateDocumentByNodeType(String userName, String password, String outputFormat, String nodeType, int nodeId, String documentName, String documentObjJson)
    Document File with the given documentName will be updated with the filePath and filePathType specified, of the specified nodeId of nodeType. The supported values for the filePathType are ABSOLUTE, RELATIVE.
    Specifying the filePath,filePathType, documentName, nodeId and nodeType are mandatory.
    nodeType can be either SM_SYSTEM, SM_ENVIRONMENT, SM_TABLE, SM_COLUMN, MM_PROJECT, MM_MAPPING, REQM_SPECIFICATION, BGM_TERM. Depending upon the nodeType, nodeId will be either systemId, environmentId, tableId, columnId, projectId, mappingId, specificationId, businessTermId.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
      `nodeType` - String
      `nodeId` - int
      `documentName` - String
      `documentObjJson` - String
    Returns:
      String - If Document is updated successfully, it will return RequestStatus Object consisting of Request success flag, status message and userObject etc... in the form of JSON or XML String.

      Sample 'documentObjJson' JSON :
      {
      "documentName": "",
      "documentIntendedPurpose": "",
      "documentReferenceNumber": "",
      "documentType": "",
      "documentApprovedBy": "",
      "documentObject": "",
      "filePathType" : "ABSOLUTE",
      "approvalRequired": true,
      "documentOwner": "",
      "documentLink": "",
      "documentReference": "",
      "documentStatus": "",
      "documentApprovedDate": 1460701213000
      }

    Since:
      8.2

  - ### updateDocumentFile

    public String updateDocumentFile(String userName, String password, String outputFormat, String nodeType, int nodeId, String documentName, String filePath)
    Deprecated.
    File of the document is updated with the given documentName and with the filePath specified, of the specified nodeId of nodeType.
    Specifying the filePath, documentName, nodeId and nodeType are mandatory. filePath must be ABSOLUTE.
    NodeType can be either SM_SYSTEM, SM_ENVIRONMENT, SM_TABLE, SM_COLUMN, MM_PROJECT, MM_MAPPING, REQM_SPECIFICATION and all BGM Objects. Depending upon the nodeType, nodeId will be either systemId, environmentId, tableId, columnId, projectId, mappingId, specificationId, businesObjectId.
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
      `nodeType` - String
      `nodeId` - int
      `documentName` - String
      `filePath` - String
    Returns:
      String - If Document is updated successfully, it will return RequestStatus Object consisting of Request success flag, status message and userObject etc... in the form of JSON or XML String.
    Since:
      8.2

  - ### updateDocuments

    public String updateDocuments(String userName, String password, String outputFormat, String documentObjsJsonArray)
    Documents are updated with the specified Document Objects. Specifying the documentId, documentObject or documentLink and filePathType of each document are mandatory.The supported values for the filePathType are ABSOLUTE, RELATIVE.
    This method will update the document object for only SM_ENVIRONMENT, SM_TABLE, SM_COLUMN, BGM_TERM, REQM_SPECIFICATION objects.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
      `documentObjsJsonArray` - String
    Returns:
      String - If Document is updated successfully, it will return RequestStatus Object consisting of Request success flag, status message and userObject etc... in the form of JSON or XML String.

      Sample 'documentObjsJsonArray' JSON :
      [
      {
      "documentId": 0,
      "documentName": "",
      "documentIntendedPurpose": "",
      "documentReferenceNumber": "",
      "documentType": "",
      "documentApprovedBy": "",
      "documentObject": "",
      "filePathType" : "ABSOLUTE",
      "approvalRequired": true,
      "documentOwner": "",
      "documentLink": "",
      "documentReference": "",
      "documentStatus": "",
      "documentApprovedDate": 1460701213000
      },
      {
      "documentId": 0,
      "documentName": "",
      "documentIntendedPurpose": "",
      "documentReferenceNumber": "",
      "documentType": "",
      "documentApprovedBy": "",
      "documentObject": "",
      "filePathType" : "ABSOLUTE",
      "approvalRequired": true,
      "documentOwner": "",
      "documentLink": "",
      "documentReference": "",
      "documentStatus": "",
      "documentApprovedDate": 1460701213000
      }
      ]

    Since:
      8.2

  - ### getDocument

    public String getDocument(String userName, String passWord, String outputFormat, int documentId)
    Returns the Document Details with the specified documentId. Specifying the documentId is mandatory.The filePath in the returned document object is RELATIVE.
    This method will return the document object for only SM_ENVIRONMENT, SM_TABLE, SM_COLUMN, BGM_TERM, REQM_SPECIFICATION objects.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `passWord` - String
      `outputFormat` - String - Valid values: JSON or XML
      `documentId` - int
    Returns:
      String - If Document is returned successfully, it will return RequestStatus Object consisting of Request success flag, status message and userObject etc... in the form of JSON or XML String.
    Since:
      8.2

  - ### getDocumentByName

    public String getDocumentByName(String userName, String passWord, String outputFormat, String nodeType, int nodeId, String documentName)
    Returns the document Details with the given documentName of the specified nodeId of nodeType.The filePath in the returned document object is RELATIVE. Specifying the nodeId and nodeType are mandatory.
    NodeType can be either SM_SYSTEM, SM_ENVIRONMENT, SM_TABLE, SM_COLUMN, MM_PROJECT, MM_MAPPING, REQM_SPECIFICATION and all BGM Objects. Depending upon the nodeType, nodeId will be either systemId, environmentId, tableId, columnId, projectId, mappingId, specificationId, businesObjectId.
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `passWord` - String
      `outputFormat` - String - Valid values: JSON or XML
      `nodeType` - String
      `nodeId` - int
      `documentName` - String
    Returns:
      String - If Document is returned successfully, it will return RequestStatus Object consisting of Request success flag, status message and userObject etc... in the form of JSON or XML String.
    Since:
      8.2

  - ### getDocuments

    public String getDocuments(String userName, String passWord, String outputFormat, String nodeType, int nodeId)
    Returns the documents of the specified nodeId of nodeType. The filePath in the returned document object is RELATIVE. Specifying the nodeId and nodeType are mandatory.
    NodeType can be either SM_SYSTEM, SM_ENVIRONMENT, SM_TABLE, SM_COLUMN, MM_PROJECT, MM_MAPPING, REQM_SPECIFICATION and all BGM Objects. Depending upon the nodeType, nodeId will be either systemId, environmentId, tableId, columnId, projectId, mappingId, specificationId, businesObjectId.
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `passWord` - String
      `outputFormat` - String - Valid values: JSON or XML
      `nodeType` - String
      `nodeId` - int
    Returns:
      String - If Documents are returned successfully, it will return RequestStatus Object consisting of Request success flag, status message and userObject etc... in the form of JSON or XML String.
    Since:
      8.2

  - ### getDocumentsByDocIds

    public String getDocumentsByDocIds(String userName, String passWord, String outputFormat, String documentIdsArray)
    Returns the Documents of the specified List of DocumentIds.The filePath in the returned document object is RELATIVE. Specifying DocumemtId's are mandatory.
    This method will return the document objects for only SM_ENVIRONMENT, SM_TABLE, SM_COLUMN, BGM_TERM, REQM_SPECIFICATION objects.
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `passWord` - String
      `outputFormat` - String - Valid values: JSON or XML
      `documentIdsArray` - String
    Returns:
      String - If Document are returned successfully, it will return RequestStatus Object consisting of Request success flag, status message and userObject etc... in the form of JSON or XML String.
    Since:
      8.2

  - ### deleteDocument

    public String deleteDocument(String userName, String passWord, String outputFormat, int documentId)
    Deletes the Document with the specified documentId. Specifying documentId is mandatory.
    This method will delete the document object for only SM_ENVIRONMENT, SM_TABLE, SM_COLUMN, BGM_TERM, REQM_SPECIFICATION objects.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `passWord` - String
      `outputFormat` - String - Valid values: JSON or XML
      `documentId` - int
    Returns:
      String - If Document is deleted successfully, it will return RequestStatus Object consisting of Request success flag, status message and userObject etc... in the form of JSON or XML String.
    Since:
      8.2

  - ### deleteDocumentByName

    public String deleteDocumentByName(String userName, String passWord, String outputFormat, String nodeType, int nodeId, String documentName)
    Deletes the document with the given documentName of the specified nodeId of nodeType.
    Specifying the nodeId and nodeType are mandatory.
    NodeType can be either SM_SYSTEM, SM_ENVIRONMENT, SM_TABLE, SM_COLUMN, MM_PROJECT, MM_MAPPING, REQM_SPECIFICATION and all BGM Objects. Depending upon the nodeType, nodeId will be either systemId, environmentId, tableId, columnId, projectId, mappingId, specificationId, businesObjectId.
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `passWord` - String
      `outputFormat` - String - Valid values: JSON or XML
      `nodeType` - String
      `nodeId` - int
      `documentName` - String
    Returns:
      String - If Document is deleted successfully, it will return RequestStatus Object consisting of Request success flag, status message and userObject etc... in the form of JSON or XML String.
    Since:
      8.2

  - ### deleteDocuments

    public String deleteDocuments(String userName, String passWord, String outputFormat, String nodeType, int nodeId)
    Deletes the documents of the specified nodeId of nodeType. Specifying the nodeId and nodeType are mandatory.
    NodeType can be either SM_SYSTEM, SM_ENVIRONMENT, SM_TABLE, SM_COLUMN, MM_PROJECT, MM_MAPPING, REQM_SPECIFICATION and all BGM Objects. Depending upon the nodeType, nodeId will be either systemId, environmentId, tableId, columnId, projectId, mappingId, specificationId, businesObjectId.
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `passWord` - String
      `outputFormat` - String - Valid values: JSON or XML
      `nodeType` - String
      `nodeId` - int
    Returns:
      String - If Documents are deleted successfully, it will return RequestStatus Object consisting of Request success flag, status message and userObject etc... in the form of JSON or XML String.
    Since:
      8.2

  - ### deleteDocumentsByDocIds

    public String deleteDocumentsByDocIds(String userName, String passWord, String outputFormat, String documentIdsArray)
    Documents are deleted for the specified List of DocumentIds. Specifying the DocumentIds are mandatory.
    This method will delete the document objects for only SM_ENVIRONMENT, SM_TABLE, SM_COLUMN, BGM_TERM, REQM_SPECIFICATION objects.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `passWord` - String
      `outputFormat` - String - Valid values: JSON or XML
      `documentIdsArray` - String
    Returns:
      String - If Documents are deleted successfully, it will return RequestStatus Object consisting of Request success flag, status message and userObject etc... in the form of JSON or XML String.
    Since:
      8.2

  - ### updateDocumentFileByType

    public String updateDocumentFileByType(String userName, String password, String outputFormat, String nodeType, int nodeId, String documentName, String filePath, String filePathType)
    File of the document is updated with the given documentName and with the filePath and filePathType specified, of the specified nodeId of nodeType
    Specifying the filePath, filePathType, documentName, nodeId and nodeType are mandatory.
    The supported values for the filePathType are ABSOLUTE, RELATIVE.
    NodeType can be either SM_SYSTEM, SM_ENVIRONMENT, SM_TABLE, SM_COLUMN, MM_PROJECT, MM_MAPPING, REQM_SPECIFICATION and all BGM Objects. Depending upon the nodeType, nodeId will be either systemId, environmentId, tableId, columnId, projectId, mappingId, specificationId, businesObjectId.
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
      `nodeType` - String
      `nodeId` - int
      `documentName` - String
      `filePath` - String
      `filePathType` - String - Valid values: ABSOLUTE,RELATIVE.
    Returns:
      String - If Document is updated successfully, it will return RequestStatus Object consisting of Request success flag, status message and userObject etc... in the form of JSON or XML String.
    Since:
      10.1